<template>
  <div class="container">

    <h1 class="intro">Password Manager</h1>

    <div class="blurb">
      <h2>{{ currentText }}</h2>
      <h3 class="wrapped-text">
        Introducing zPass, a remarkable password manager that seamlessly combines security and user-friendliness.
        With its intuitive interface and robust encryption,
        zPass takes the hassle out of managing your passwords while keeping your digital life secure.
        It's elegant design allows you to effortlessly store, and generate complex passwords.
      </h3>
    </div>
    <div class="image">
      <slot name="right"></slot>
      <img :src="currentImage" class="image" alt="Image"/>
    </div>
  </div>
</template>

<script lang="ts">
import {defineComponent, ref, onMounted, onBeforeUnmount} from 'vue';

export default defineComponent({
  setup() {
    const preface = 'Designed for ';
    const pairs = [
      {msg: 'Security', img: 'src/assets/security.png'},
      {msg: 'Accessibility', img: 'src/assets/accessibility.png'}];

    let pair = pairs[0];
    const currentImage = ref(pair.img);
    const currentText = ref(pair.msg);
    const currentIndex = ref(0);
    let interval: any = null;

    const startCarousel = () => {
      interval = setInterval(() => {
        currentIndex.value = (currentIndex.value + 1) % pairs.length;
        pair = pairs[currentIndex.value];
        currentImage.value = pair.img
        currentText.value = preface + pair.msg;
      }, 3000);
    };

    const stopCarousel = () => {
      clearInterval(interval);
    };

    onMounted(() => {
      startCarousel();
    });

    onBeforeUnmount(() => {
      stopCarousel();
    });


    return {
      currentImage,
      currentText,
    };
  },
});
</script>

<style scoped>
.container {
  color: white;
  max-width: 1280px;
  margin: 0 auto;
  padding: 2rem;
  text-align: center;
}
</style>
